---
type: api
title: Get the batch reindex queue
description: Check the current reindex batch queue.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-batch-upgrade-reindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-batch-upgrade-reindex
products:
  - Kibana
---

# Get the batch reindex queue

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/upgrade_assistant/reindex/batch/queue`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Check the current reindex batch queue.

## Response

Indicates a successful call.

`application/json`

- `queue` ([] object)
  Items in this array indicate reindex tasks at a given point in time and the order in which they will be run.
  - `errorMessage` (string)
    The error that caused the reindex to fail, if it failed.
  - `indexName` (string)
    The name of the old index.
  - `lastCompletedStep` (integer)
    The last successfully completed step of the reindex. For example:
- `0`: The reindex task has been created in Kibana. - `10`: The index group services stopped. Only applies to some system indices. - `20`: The index is set to readonly. - `30`: The new destination index has been created. - `40`: The reindex task in Elasticsearch has started. - `50`: The reindex task in Elasticsearch has completed. - `60`: Aliases were created to point to the new index, and the old index has been deleted. - `70`: The index group services have resumed. Only applies to some system indices.
  - `locked` (string)
  - `reindexOptions` ({})
    The presence of this key indicates that the reindex job will occur in the batch.
    - `queueSettings` (object)
      - `queuedAt` (number)
        A Unix timestamp of when the reindex task was placed in the queue.
  - `reindexTaskId` (string)
    The task ID of the reindex task in Elasticsearch. This value appears when the reindexing starts.
  - `reindexTaskPercComplete` (number)
    The progress of the reindexing task in Elasticsearch. It appears in decimal form, from 0 to 1.
  - `runningReindexCount` (number)
## Code Examples

#### Console

```console
GET /api/upgrade_assistant/reindex/batch/queue
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/upgrade_assistant/reindex/batch/queue"
```

## Response Examples

#### Get batch upgrade reindex response example1

```json
{
  "queue": [ 
    {
      "indexName": "index1",
      "newIndexName": "reindexed-v8-index2",
      "status": 3,
      "lastCompletedStep": 0,
      "locked": null,
      "reindexTaskId": null,
      "reindexTaskPercComplete": null,
      "errorMessage": null,
      "runningReindexCount": null,
      "reindexOptions": {
        "queueSettings": {
          "queuedAt": 1583406985489
        }
      }
    },
    {
      "indexName": "index2",
      "newIndexName": "reindexed-v8-index2",
      "status": 3,
      "lastCompletedStep": 0,
      "locked": null,
      "reindexTaskId": null,
      "reindexTaskPercComplete": null,
      "errorMessage": null,
      "runningReindexCount": null,
      "reindexOptions": {
        "queueSettings": {
          "queuedAt": 1583406987334
        }
      }
    }
  ]
}
```

